Bug 217732 - NTFS & VFAT/32 filesystems on IDE disk cannot be mounted.
NTFS & VFAT/32 filesystems on IDE disk cannot be mounted.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2006-11-29 12:40 EST by john.thursfield1
Modified: 2008-02-07 23:27 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:27:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description john.thursfield1 2006-11-29 12:40:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.8) Gecko/20061107 Fedora/1.5.0.8-1.fc6 Firefox/1.5.0.8

Description of problem:
Motherboard type ....		Abit UL8 
Disk type ....			IBM Deskstar 40gig  IC35L060AVV207-0

Dmesg shows the IDE driver sees the partitions when the IDE driver
loads, but mount complains the filesystem devices do not exist.
"fdisk -l /dev/hda" shows the partition table as expected.
/proc/partitions doesn't show the partitions.
Run "partprobe /dev/hda". The partitions are now visible
in /proc/partitions & the appropriate devices nodes are created.
Attempt to now mount one of the filesystems gives "device busy or
already mounted".
There are no errors in dmesg or /var/log/messages.
"dd" of one of the partitions to a file works & the resulting filesystem
image mounts fine with "mount -o loop".
This disk & motherboard worked fine with FC5.
Linux filesystems reside on a SATA disk.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2849.fc6, kernel-2.6.18-1.2798.fc6, kernel-2..6.18-3.rt9.0001

How reproducible:
Always


Steps to Reproduce:
1. mount /dev/hda5
2.partprobe /dev/hda
3. mount /dev/hda5



Actual Results:
1.mount: /dev/hda5 is not a valid block device
2.
3.mount: /dev/hda5 already mounted or /mnt/wind busy

Expected Results:
partition hda5 should have been mounted

Additional info:
Section of lspci -vv output ......
00:0e.0 IDE interface: ALi Corporation M5229 IDE (rev c7) (prog-if fa)
        Subsystem: ABIT Computer Corp. Unknown device 2207
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32
        Interrupt: pin A routed to IRQ 16
        Region 0: I/O ports at <ignored>
        Region 1: I/O ports at <ignored>
        Region 2: I/O ports at <ignored>
        Region 3: I/O ports at <ignored>
        Region 4: I/O ports at ff00 [size=16]

00:0e.1 IDE interface: ALi Corporation ULi 5289 SATA (rev 10) (prog-if 8f [Master SecP SecO PriP PriO])
        Subsystem: ABIT Computer Corp. Unknown device 2207
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap- 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Latency: 32, Cache Line Size: 32 bytes
        Interrupt: pin A routed to IRQ 16
        Region 0: I/O ports at fe00 [size=8]
        Region 1: I/O ports at fd00 [size=4]
        Region 2: I/O ports at fc00 [size=8]
        Region 3: I/O ports at fb00 [size=4]
        Region 4: I/O ports at fa00 [size=16]




Section of dmesg output ......

ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ALI15X3: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0xff00-0xff07, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0xff08-0xff0f, BIOS settings: hdc:pio, hdd:pio
Probing IDE interface ide0...
hda: IC35L060AVV207-0, ATA DISK drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Probing IDE interface ide1...
hdc: _NEC DVD_RW ND-2500A, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
hda: max request size: 512KiB
hda: 80418240 sectors (41174 MB) w/1821KiB Cache, CHS=16383/255/63, UDMA(100)
hda: cache flushes supported
 hda: hda1 hda2 < hda5 hda6 hda7 >
ide-floppy driver 0.99.newide
Comment 1 Jon Stanley 2008-01-07 20:49:42 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 2 Jon Stanley 2008-02-07 23:27:42 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.